/* eslint-disable import/order */
// 此文件自动生成，不要手工修改
import Vue from 'vue'
import {
Button,
Card,
Checkbox,
Col,
Icon,
Input,
InputNumber,
Modal,
Radio,
Row,
Select,
Tabs,
Tag,
} from 'ant-design-vue'
import SdAdvanceSearchBtn from '../sd-advance-search-btn.vue'
import SdChildTable from '@/common/components/sd-child-table.vue'
import SdDataTable from '@/common/components/sd-data-table.vue'
import SdDraggable from '@/common/components/sd-draggable.vue'
import SdFieldPicker from '../sd-field-picker.vue'
import SdFormItem from '@/common/components/sd-form-item.vue'
import SdFormulaExps from '../sd-formula-exps.vue'
import SdListButtonsConfigModal from '../sd-list-buttons-config-modal.vue'
import SdSearchForm from '../sd-search-form.vue'
import SdTable from '@/common/components/sd-table.vue'
import SdWidthInput from '../sd-width-input.vue'

Vue.use(Button)
Vue.use(Card)
Vue.use(Checkbox)
Vue.use(Col)
Vue.use(Icon)
Vue.use(Input)
Vue.use(InputNumber)
Vue.use(Modal)
Vue.use(Radio)
Vue.use(Row)
Vue.use(Select)
Vue.use(Tabs)
Vue.use(Tag)

export default {
  SdAdvanceSearchBtn,
  SdChildTable,
  SdDataTable,
  SdDraggable,
  SdFieldPicker,
  SdFormItem,
  SdFormulaExps,
  SdListButtonsConfigModal,
  SdSearchForm,
  SdTable,
  SdWidthInput,
}
